Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command.exception
Class DrupletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.drupal.project.async_command.exception.DrupletException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CommandExecutionException, CommandParseException, ConfigLoadingException, DatabaseRuntimeException

    public class DrupletException

extends java.lang.RuntimeException

Handles any Drupal related exceptions.

See Also:
  Serialized Form

Constructor Summary
`DrupletException(java.lang.String msg)`
`DrupletException(java.lang.String message, java.lang.Throwable cause)`
`DrupletException(java.lang.Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrupletException

    public DrupletException(java.lang.Throwable t)

### DrupletException

    public DrupletException(java.lang.String msg)

### DrupletException

    public DrupletException(java.lang.String message,
                            java.lang.Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD